#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12cbd222, "nvme_remove_admin_tag_set" },
	{ 0x29a9ea56, "nvme_sync_io_queues" },
	{ 0x5455af87, "crypto_alloc_ahash" },
	{ 0xbdf504cd, "nvme_uninit_ctrl" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc112746, "tls_client_hello_psk" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x40d86b06, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x59eac5d7, "nvme_wait_freeze_timeout" },
	{ 0x60e942c5, "ip_sock_set_tos" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0x2a94e57d, "nvme_cancel_admin_tagset" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x711a9e9a, "nvmf_free_options" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xee763bb8, "nvmf_subsystem_reset" },
	{ 0x6d081784, "iov_iter_single_seg_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xee569023, "nvme_stop_keep_alive" },
	{ 0x219e1dcd, "blk_mq_complete_request_remote" },
	{ 0x584fb50c, "iov_iter_advance" },
	{ 0x8aa2440a, "nvme_setup_cmd" },
	{ 0x96848186, "scnprintf" },
	{ 0x926b6f34, "nvme_start_freeze" },
	{ 0xe671ae7b, "kernel_bind" },
	{ 0x22437652, "nvme_start_ctrl" },
	{ 0x7aa9af4, "sock_create" },
	{ 0xa0c21029, "nvme_alloc_admin_tag_set" },
	{ 0xb8141bb0, "nvmf_connect_io_queue" },
	{ 0x2ebe812a, "tls_handshake_cancel" },
	{ 0xfb3d80bf, "tls_get_record_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x109c0b8, "__tracepoint_sk_data_ready" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xe6bddf31, "nvmf_reg_read32" },
	{ 0x2d80201d, "nvme_delete_ctrl" },
	{ 0xd3d04f63, "kernel_recvmsg" },
	{ 0x95f76a4e, "skb_copy_and_hash_datagram_iter" },
	{ 0x87b6bdff, "sock_alloc_file" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xb457c85a, "nvme_disable_ctrl" },
	{ 0xffe253e2, "nvme_should_fail" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x17e66e7b, "__dev_get_by_name" },
	{ 0x3b5af0ad, "nvmf_set_io_queues" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37b96349, "sock_set_priority" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x9c7ab551, "nvme_tls_psk_default" },
	{ 0x9c394ece, "nvmf_get_address" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xfaba5310, "nvme_remove_io_tag_set" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe3279b03, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbbd7c00a, "nvmf_unregister_transport" },
	{ 0x405be82d, "put_device" },
	{ 0x89ceadaa, "nvme_change_ctrl_state" },
	{ 0xc6b6e24c, "nvme_cancel_tagset" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x1920c05a, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x487d0972, "nvme_alloc_io_tag_set" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x87bc6386, "tcp_sock_set_syncnt" },
	{ 0x990bdcbe, "nvme_fail_nonready_command" },
	{ 0xaee73518, "key_put" },
	{ 0xa572006f, "fput" },
	{ 0x4f791397, "_dev_err" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xd6a6ede2, "__SCK__tp_func_sk_data_ready" },
	{ 0xb6d3c0e5, "kernel_getsockname" },
	{ 0xa990140e, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xe06e1d97, "blk_sync_queue" },
	{ 0xa7154c32, "nvmf_map_queues" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2452e3, "nvmf_reg_read64" },
	{ 0x5d6c655c, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcca06a45, "sock_sendmsg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0xb96a6dc9, "nvmf_connect_admin_queue" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1c3a9be, "nvmf_ip_options_match" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0x813cf212, "nvme_io_timeout" },
	{ 0x236c67ad, "tcp_stream_memory_free" },
	{ 0xb8ace00d, "nvme_enable_ctrl" },
	{ 0xd2e87d7e, "nvme_unquiesce_admin_queue" },
	{ 0xc309dce3, "sk_set_memalloc" },
	{ 0xeacc434, "kernel_connect" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xcabd54a8, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8a3d813f, "crypto_ahash_digest" },
	{ 0x69353374, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x96941099, "nvme_unquiesce_io_queues" },
	{ 0x8238da80, "__page_frag_cache_drain" },
	{ 0xa798b022, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xc032044a, "nvmf_reg_write32" },
	{ 0x92101368, "blk_mq_complete_request" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x8998a5b3, "nvmf_should_reconnect" },
	{ 0xa7f3c990, "nvme_complete_async_event" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x7340146a, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd3809ff7, "nvmf_register_transport" },
	{ 0xc576d17f, "nvme_keep_alive_work_period" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0xd0063bf1, "blk_mq_start_request" },
	{ 0xd4e4e909, "nvme_quiesce_io_queues" },
	{ 0x16ff90f0, "nvme_unfreeze" },
	{ 0x346b02cd, "nvme_stop_ctrl" },
	{ 0x32a32024, "nvme_auth_stop" },
	{ 0x21c48c7b, "tcp_sock_set_nodelay" },
	{ 0xefda4dcd, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x17cd25c9, "nvme_init_ctrl_finish" },
	{ 0xd05eb87e, "kernel_sendmsg" },
	{ 0x67c8ffac, "nvme_quiesce_admin_queue" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x22799e12, "sock_setsockopt" },
	{ 0x4e488b5, "nvme_tls_key_lookup" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x99341fe5, "__nvme_check_ready" },
	{ 0xf49556f4, "kmalloc_caches" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd136eca0, "sock_no_linger" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics,nvme-keyring");


MODULE_INFO(srcversion, "2988525F4492F9EB338153F");

MODULE_INFO(suserelease, "SLE15-SP6");
