#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd72124e7, "dquot_commit" },
	{ 0x4ffa3edc, "truncate_inode_pages" },
	{ 0xe5fe95e, "bh_uptodate_or_lock" },
	{ 0x14c99e08, "inode_init_owner" },
	{ 0xf8020078, "setattr_prepare" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x760a0f4f, "yield" },
	{ 0x70a76893, "clear_nlink" },
	{ 0x5f45a852, "generic_block_bmap" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x5a949327, "d_instantiate" },
	{ 0x135b5874, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc8241d89, "clear_inode" },
	{ 0xd4917529, "dquot_set_dqinfo" },
	{ 0x238e0fdd, "dquot_commit_info" },
	{ 0x1a9e067e, "grab_cache_page_write_begin" },
	{ 0xd7ad2d1d, "dquot_disable" },
	{ 0xc15e0c10, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1ff3acbb, "dquot_free_inode" },
	{ 0x406adec9, "folio_unlock" },
	{ 0x903dd443, "set_blocksize" },
	{ 0xc2797c5d, "lookup_one_len" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbde9a8d4, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5fab1022, "dquot_get_state" },
	{ 0xe04add72, "init_special_inode" },
	{ 0x57258197, "unregister_filesystem" },
	{ 0x6d222200, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x13e2eeb2, "__find_get_block" },
	{ 0x83fc764b, "__block_write_begin" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x7dcd2a76, "inode_set_flags" },
	{ 0x91d60580, "finish_wait" },
	{ 0x2cb23214, "__blockdev_direct_IO" },
	{ 0xada42f4a, "d_make_root" },
	{ 0x96848186, "scnprintf" },
	{ 0x957e11bd, "__bforget" },
	{ 0xdd77be58, "sb_set_blocksize" },
	{ 0x515186ff, "write_dirty_buffer" },
	{ 0x2fad8461, "sync_filesystem" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8ebe8fd9, "d_splice_alias" },
	{ 0x93c5f591, "current_time" },
	{ 0x4cf3ef4, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2fc45bf0, "ihold" },
	{ 0x8862eb9, "page_get_link" },
	{ 0xcd77d409, "inode_dio_wait" },
	{ 0x58b56aca, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xde2796c6, "read_cache_page" },
	{ 0x2ea85aa9, "iput" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xd59c60f0, "add_wait_queue" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x28101db5, "iter_file_splice_write" },
	{ 0x2275a43f, "filemap_release_folio" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x88adb634, "__wake_up" },
	{ 0x56cea761, "generic_file_write_iter" },
	{ 0xd891d288, "register_filesystem" },
	{ 0x21c0dc23, "dquot_transfer" },
	{ 0x73ff50fa, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x8ed4eb08, "dquot_drop" },
	{ 0x8416306a, "down_read_trylock" },
	{ 0xdaa017a0, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x86216664, "make_vfsuid" },
	{ 0x880baad2, "inode_get_bytes" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a3d77f2, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x3cc72816, "inode_newsize_ok" },
	{ 0xd885947e, "kill_block_super" },
	{ 0x6e2264a7, "mnt_want_write_file" },
	{ 0x7048b90f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x48d57189, "dquot_quota_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1fda1b6f, "generic_cont_expand_simple" },
	{ 0x543b770d, "try_to_free_buffers" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xdcbdadff, "create_empty_buffers" },
	{ 0xd801d8f7, "truncate_inode_pages_final" },
	{ 0xf37fe2d1, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd036633, "sync_mapping_buffers" },
	{ 0xea9f9701, "dquot_initialize" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13705d90, "dquot_quota_on" },
	{ 0x78015c49, "blkdev_put" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xd6848f74, "xattr_full_name" },
	{ 0x33c743ac, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xfa966c93, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe2be4729, "mnt_drop_write_file" },
	{ 0xbe39d25d, "suse_allow_unsupported_param_ops" },
	{ 0x77a6e2f7, "atomic_dec_and_mutex_lock" },
	{ 0xb2f44a7d, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8fd40b52, "inode_init_once" },
	{ 0x97c9671c, "file_write_and_wait_range" },
	{ 0x34408fa4, "mark_buffer_async_write" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x35a26bc7, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x27170c1f, "dquot_set_dqblk" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x547593b, "__brelse" },
	{ 0xbf9875f7, "posix_acl_create" },
	{ 0xd054e04b, "inode_nohighmem" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0xd47a0dc7, "shrink_dcache_sb" },
	{ 0x6d4ce75, "up_write" },
	{ 0xfb5ccfbb, "generic_file_read_iter" },
	{ 0x9b6b98ee, "unlock_page" },
	{ 0x2269645f, "set_cached_acl" },
	{ 0x3ec3e34, "blkdev_get_by_dev" },
	{ 0x675879c2, "sync_dirty_buffer" },
	{ 0xd530b974, "__bh_read_batch" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x318a5cda, "dquot_resume" },
	{ 0x43c169d1, "setattr_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xaff75aa3, "__wait_on_buffer" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x7e98ea88, "set_nlink" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xd980ddfa, "security_inode_init_security" },
	{ 0xb375927f, "seq_putc" },
	{ 0x3ed84b38, "blkdev_get_by_path" },
	{ 0x2f379841, "from_kgid" },
	{ 0xc142a557, "__sync_dirty_buffer" },
	{ 0xc84ff15f, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfcdd0148, "d_obtain_alias" },
	{ 0x36f61b9a, "posix_acl_chmod" },
	{ 0xa47db47, "__bread_gfp" },
	{ 0x3c0b03d7, "block_dirty_folio" },
	{ 0xd2b5286f, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x2c646040, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77f98940, "suse_mark_unsupported" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x13420e23, "d_delete" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x7e4a3825, "end_page_writeback" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x49cdc0c9, "truncate_setsize" },
	{ 0x430d60bd, "insert_inode_locked4" },
	{ 0x8d8b2b2d, "dquot_get_dqblk" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xffc79b67, "block_read_full_folio" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe9d5c0be, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1d76462d, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcca57932, "unlock_buffer" },
	{ 0xa60b43a0, "igrab" },
	{ 0xf7483f6d, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x70f458d6, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xaed6ed6c, "d_instantiate_new" },
	{ 0x28def65b, "__dquot_free_space" },
	{ 0x41d87b02, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb3680ffa, "mount_bdev" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x495d5d95, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x160cdfdd, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x53813557, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd5d75b49, "dquot_quota_off" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xbe046d77, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2a72c41a, "__lock_buffer" },
	{ 0x4a7a5b16, "posix_acl_update_mode" },
	{ 0xcd9dc58, "__folio_lock" },
	{ 0x873463b8, "dquot_quota_on_mount" },
	{ 0xa54ce52b, "filemap_dirty_folio" },
	{ 0x68dbfbe3, "pagecache_get_page" },
	{ 0x1cc75148, "blkdev_issue_flush" },
	{ 0x442b2f8d, "is_bad_inode" },
	{ 0x3cead20b, "remove_wait_queue" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x8415241c, "dquot_mark_dquot_dirty" },
	{ 0xce0fa877, "dquot_get_next_id" },
	{ 0x1c7fb00f, "dquot_file_open" },
	{ 0xa0faa628, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xefda4dcd, "kmalloc_trace" },
	{ 0x7408ae8c, "iget5_locked" },
	{ 0xb50c2128, "d_set_d_op" },
	{ 0xe4a8a11b, "dquot_acquire" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xb6d4a66f, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x3836e1b9, "dquot_writeback_dquots" },
	{ 0x9786e6d5, "__mark_inode_dirty" },
	{ 0x21e0e1, "generic_file_llseek" },
	{ 0xc5b7a60, "make_bad_inode" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x77c9cab1, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf49556f4, "kmalloc_caches" },
	{ 0xc2a23d38, "dquot_destroy" },
	{ 0xa5139edb, "dquot_alloc" },
	{ 0xe2f4f46f, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A8AB93369A2D33250531A87");

MODULE_INFO(suserelease, "SLE15-SP6");
